Loading...
Searching...
No Matches
coap_ws.c File Reference

CoAP WebSocket handling functions. More...

`#include "coap3/coap_internal.h"`
Include dependency graph for coap_ws.c:

Go to the source code of this file.

## Functions

int | coap_ws_is_supported (void)
| Check whether WebSockets is available.
int | coap_wss_is_supported (void)
| Check whether Secure WebSockets is available.
int | coap_ws_set_host_request (coap_session_t *session, coap_str_const_t *ws_host)
| Set the host for the HTTP Host: Header in the WebSockets Request.

## Detailed Description

CoAP WebSocket handling functions.

Definition in file coap_ws.c.